Bug 60497 - [Qt] tst_QWebPage creates temporary files in the current working dir
Summary: [Qt] tst_QWebPage creates temporary files in the current working dir
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P5 Normal
Assignee: Ademar Reis
URL:
Keywords: Qt
Depends on:
Blocks:
 
Reported: 2011-05-09 12:44 PDT by Ademar Reis
Modified: 2011-06-01 12:32 PDT (History)
4 users (show)

See Also:


Attachments
Patch (4.76 KB, patch)
2011-05-09 12:45 PDT, Ademar Reis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ademar Reis 2011-05-09 12:44:36 PDT
[Qt] tst_QWebPage creates temporary files in the current working dir
Comment 1 Ademar Reis 2011-05-09 12:45:29 PDT
Created attachment 92831 [details]
Patch
Comment 2 Alexis Menard (darktears) 2011-05-10 07:22:33 PDT
Comment on attachment 92831 [details]
Patch

Looks good to me.
Comment 3 Csaba Osztrogonác 2011-05-10 07:58:02 PDT
Comment on attachment 92831 [details]
Patch

LGTM, r=me
Comment 4 WebKit Commit Bot 2011-05-10 08:31:51 PDT
The commit-queue encountered the following flaky tests while processing attachment 92831 [details]:

http/tests/xmlhttprequest/cross-origin-authorization.html bug 52398 (author: ap@webkit.org)
The commit-queue is continuing to process your patch.
Comment 5 WebKit Commit Bot 2011-05-10 08:32:56 PDT
Comment on attachment 92831 [details]
Patch

Clearing flags on attachment: 92831

Committed r86154: <http://trac.webkit.org/changeset/86154>
Comment 6 WebKit Commit Bot 2011-05-10 08:33:00 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 WebKit Review Bot 2011-05-10 10:53:19 PDT
http://trac.webkit.org/changeset/86154 might have broken SnowLeopard Intel Release (WebKit2 Tests)
The following tests are not passing:
fast/frames/flattening/frameset-flattening-subframesets.html
Comment 8 Ademar Reis 2011-06-01 12:32:12 PDT
Revision r86154 cherry-picked into qtwebkit-2.2 with commit 787bda5 <http://gitorious.org/webkit/qtwebkit/commit/787bda5>